Primavera Software Development Kit Version 5.0 Readme

Known Issues in this Release


You may have to upgrade your existing scripts to be compatible with the new Primavera 5.0 schema, since some of your existing code may be impacted by the changes made to the previous version.

Creating an Activity Code now requires the field actv_code_type_scope to define the scope of the activity code (Global, EPS, Project). For more information of the new feature, refer to the Primavera documentation.

Note that new tables and fields that are currently not supported are highlighted in red in the documentation (General Tables & Fields, Spread Tables & Fields). Using unsupported fields may result in inconsistent behavior or data loss.